local win = WindowsTheComputer // Initialize the variables!
win.debug = false
win.autoio = false
win.versionmajor = "1"
win.versionminor = "72"
win.versionpublic = true
win.versiontext1 = "Windows The Computer"
win.versiontext2 = "1.72 - LTSC"
// The three public tables.
win.SpeedSource = {}
win.GiftCustom = {}
win.HyperDef = {}
print("Version " + win.versionmajor + "." + win.versionminor)

// Some might be annoyed by the sound when changing variables.
local KartSound = CV_RegisterVar({
	name = "KartCallBackSound",
	defaultvalue = 0,
	PossibleValue = CV_OnOff,
})

local DoKartCallbackSFX = function()
	if CV_FindVar("kartcallbacksound").value then
		S_StartSound(nil, sfx_uihmsn, consoleplayer)
	end
end
win.DoKartCallBackSound = DoKartCallbackSFX

local windbg32 = io.openlocal("client/windows/system.dat")
if windbg32 then // Check if we have that debug variable defined.
	local value = 0
	value = windbg32:read() // dummy read.
	value = windbg32:read()
	value = tonumber(value)
	if value == 1 then
		print("Debugging enabled.")
		win.isdebug = true
	end
end

local introdelay = 15
addHook("MobjThinker", function(mo)
	if not introdelay then return end
	introdelay = $ - 1
	if introdelay then return end
	print("\x8A\Windows The Computer \x80\-\x82\ by TheOneGoofAli",
		  "\x82\Graphics and SFX by/from Microsoft products. Version " + win.versionmajor + "." + win.versionminor,
		  "\x82\Special thanks for assistance and/or ideas for implementation to the",
		  "\x82\SRB2 & SRB2Kart communities, as well as XG5 (#4941) for the CSS graphic.")
end)